from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XMtfRenderer(XInterface, Protocol):
    def setMetafile(self, aMtf: sequence< byte >) -> None: ...
    def draw(self, fScaleX: float, fScaleY: float) -> None: ...
